function ids_struct_out = imasget_flux_loop(shot, ids_structures)
% Get the bpol_probe signals into IDS structure

ids_struct_out = {};
mdsopen(shot);
tmp = gdat(shot, 'tcv_idealloop("FLUX")');

% Get dimension
Nprobes = size(tmp.data,2);
Ntime   = size(tmp.data,1);
names = tmp.dim{2};
time = tmp.dim{1};
data = tmp.data;

% Preallocate dimension
ids_struct_out(1:Nprobes) = ids_structures.magnetics.flux_loop(1);

% Get all the data
for ii=1:Nprobes
    ids_struct_out{ii}.name  = [names{ii}];
    ids_struct_out{ii}.position{1}.r  = mdsvalue('STATIC("R_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.position{1}.z  = mdsvalue('STATIC("Z_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.flux.data  =  data(:,ii);
    ids_struct_out{ii}.flux.time  =  time;
    
    %ids_struct_out{ii}.position.phi  =  0; % TO BE FOUND
    %ids_struct_out{ii}.flux.data_error_upper = % TO BE FOUND;
    %ids_struct_out{ii}.flux.data_error_lower = % TO BE FOUND;
end

